<template>
  <div>
    <ul class="tabs-header">
      <li
        v-for="(tab, index) in tabs"
        :key="index"
        class="tabs-item"
        :class="{ tabs__selected: index == selectedIndex }"
        @click="setTab(tab, index)"
      >
        {{ tab }}
      </li>
    </ul>
    <slot></slot>
  </div>
</template>

<script setup>
const props = defineProps({
  tabs: {
    type: Array,
    default: () => [],
  },
});
const emit = defineEmits(["update:selected"]);
const selectedIndex = ref(0)
const setTab = (tab, i) => {
  selectedIndex.value = i;
  emit("update:selected", tab);
}
</script>

<style lang="sass" scoped>
@import '/assets/styles/_variables.sass'
.tabs
    &-header
      display: flex
      list-style: none
      gap: 1.5rem
      margin: 0
      padding: 0 2rem
      max-width: 100%
      background: #303842
      color: $white
    &-item
      padding: 1rem 0 .3rem
      margin: 0
      display: inline-block
      cursor: pointer
      border-bottom: 3px solid transparent
    &__selected
      border-bottom: 3px solid #F67203
</style>
